<?php
/*
Template Name: My Profile
*/
?>

<?php if (is_user_logged_in()) { ?>

<?php get_header(); ?>

	<?php if (have_posts()) : ?>
	<?php while (have_posts()) : the_post(); ?>
	<?php dt_breadcrumb(); ?>
	
	<div class="maincol">
	
		<!--
		#	header
		-->
		<div class="archiveheader">
			<h1><?php the_author_meta('display_name', $current_user->ID); ?></h1>
			<p><?php _e('این صفحه ی مشخصات شماست . میتوانید آن را ویرایش و به روز رسانی کنید.','news'); ?></p>
		</div>
	
		<div class="profileview">
		
			<div class="user_image">
			<?php echo get_avatar(get_the_author_meta('user_email', $current_user->ID), $size = '80'); ?>
			<p><?php _e('این تصویر به صورت پیشفرض برای شما انتخاب شده است . میتوانید تصویر خود را ویرایش کنید با استفاده از <a href="http://gravatar.com/">آواتار</a>.','news'); ?></p>
			<div class="clear"></div>
			</div>
			
			<span class="new_section"><?php _e('نمایش | ویرایش اطلاعات حساب','news'); ?></span>
			
			<div class="edit_section">
				<span class="edit_label"><?php _e('نام کاربری ','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('user_login', $current_user->ID); ?></span>
				<span class="edit_text"></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('آدرس ایمیل شما : ','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('user_email', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="user_email"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('پسورد شما ','news'); ?></span>
				<span class="edit_field"></span>
				<span class="edit_text"><a href="#edit" id="user_pass"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			
			<span class="new_section"><?php _e('نمایش | ویرایش اطلاعات پروفایل','news'); ?></span>
			
			<div class="edit_section">
				<span class="edit_label"><?php _e('نام عمومی ','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('display_name', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="display_name"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('نام ','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('first_name', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="first_name"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('نام خانوادگی ','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('last_name', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="last_name"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('نام مستعار','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('nickname', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="nickname"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			
			<span class="new_section"><?php _e('نمایش | ویرایش اطلاعات تماس ','news'); ?></span>
			
			<div class="edit_section">
				<span class="edit_label"><?php _e('صفحه اینترنتی شما','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('user_url', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="user_url"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('اکانت AOL','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('aim', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="aim"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('آی دی یاهو ','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('yim', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="yim"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			<div class="edit_section">
				<span class="edit_label"><?php _e('گوگل تالک ','news'); ?></span>
				<span class="edit_field"><?php the_author_meta('jabber', $current_user->ID); ?></span>
				<span class="edit_text"><a href="#edit" id="jabber"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>
			
			<span class="new_section"><?php _e('نمایش | زندگینامه ','news'); ?></span>

			<div class="edit_section">
				<span class="edit_field2"><?php the_author_meta('description', $current_user->ID); ?></span>
				<span class="edit_text2"><a href="#edit" id="description"><?php _e('ویرایش','news'); ?></a></span>
				<span class="edit_result"></span>
				<div class="clear"></div>
			</div>

		</div>

	</div>
	
	<?php get_sidebar(); ?><div class="clear"></div>
	
	<?php endwhile; ?>
	<?php else : ?>
	<?php endif; ?>
	
<script type="text/javascript">
(function($) {

	$(".edit_text a").click(function(){
		var field_value = $(this).parent().prev('span').text(); // default
		var input_value = $(this).parent().prev('span').children().val(); // modified
		if ($(this).text() == '<?php _e('ویرایش','news'); ?>') {
			$(this).text('<?php _e('ذخیره','news'); ?>');
			$(this).parent().prev('span').html('<input type="text" value="' + field_value + '" />');
			$(this).parent().prev('span').children().focus();
		} else {
			$(this).text('<?php _e('ویرایش','news'); ?>');
			$(this).parent().prev('span').text(input_value);
			// change the User data
			var datatype = $(this).attr('id');
			$(this).parent().next('span').html('<img src="<?php bloginfo('template_directory'); ?>/images/loading2.gif" alt="" />');
			$(this).parent().next('span').load('<?php bloginfo('template_directory'); ?>/ModifyData.php?' + datatype + '=' + encodeURI(input_value));
		}
	});
	
	$(".edit_text2 a").click(function(){
		var field_value = $(this).parent().prev('span').text(); // default
		var input_value = $(this).parent().prev('span').children().val(); // modified
		if ($(this).text() == '<?php _e('ویرایش','news'); ?>') {
			$(this).text('<?php _e('ذخیره','news'); ?>');
			$(this).parent().prev('span').html('<textarea>' + field_value + '</textarea>');
			$(this).parent().prev('span').children().focus();
		} else {
			$(this).text('<?php _e('ویرایش','news'); ?>');
			$(this).parent().prev('span').text(input_value);
			// change the User data
			var datatype = $(this).attr('id');
			$(this).parent().next('span').html('<img src="<?php bloginfo('template_directory'); ?>/images/loading2.gif" alt="" />');
			$(this).parent().next('span').load('<?php bloginfo('template_directory'); ?>/ModifyData.php?' + datatype + '=' + encodeURI(input_value));
		}
	});

}) (jQuery);
</script>

<?php get_footer(); ?>

<?php } ?>